在新的 SharePoint 伺服器 2016年伺服陣列中的 [升級可用] 狀態

請注意--重要:本文是以 Microsoft 機器翻譯軟體翻譯而成,且可能由 Microsoft Community 利用 Community Translation Framework技術或人工進行事後編修。翻譯過程並無專業譯者參與。Microsoft 同時提供使用者人為翻譯、機器翻譯及社群編修後的機器翻譯三種版本的文章,讓使用者可以依其使用語言使用知識庫中的所有文章。但是,所有翻譯文章都可能不盡完美,內容都可能出現詞彙、語意或文法上的錯誤。就翻譯內容之不正確或錯誤,或客戶因使用翻譯內容所產生的任何損害,微軟不負擔任何責任。Microsoft將依合理的商業努力不斷地更新機器翻譯軟體和工具,以期能為使用者提供更好的服務。

按一下這裡查看此文章的英文版本:3157397
徵狀
請考慮這種情況。安裝 SharePoint 伺服器 2016年。SharePoint 2016 產品組態精靈會執行以建立新的陣列。建立陣列之後,您可能會看到下列徵狀︰
  • 您瀏覽至 「 SharePoint 2016 中央系統管理網站。在 [管理中心 followthe管理的伺服器,此陣列中的連結。在 [狀態] 欄中 「 升級使用 」 隨即出現。
  • 在中央系統管理,您按一下監視。然後按一下 [上檢閱資料庫狀態SharePoint_AdminContent_<GUID></GUID>資料庫中有下列狀態: 「 資料庫處於相容性範圍及升級建議 」。
  • 您瀏覽至管理中心網站。您瀏覽至 [管理內容資料庫。在的 Web 應用程式︰功能表在頁面上,選取 [SharePoint 管理中心 v4。然後遵循連結SharePoint_AdminContent_<GUID></GUID>內容資料庫。資料庫結構描述版本區域包含下列內容︰
    Microsoft.Office.Project.Server.Database.Extension.Upgrade.PDEUpgradeSequence 目前結構描述版本︰ 4.0.0.0,最大的結構描述版本︰ 16.1.273.0
  • 在 SharePoint 2016 伺服器上,執行命令stsadm-o LocalUpgradeStatus傳回的結果,包括下列︰
    <object>
    <name>SharePoint_AdminContent_GUID</name>
    <type>Microsoft.SharePoint.Administration.SPContentDatabase</type>
    <level>5</level>
    <status>需要升級</status>
    </object>
  • 在 SharePoint 伺服器上,您可以使用SharePoint 2016 管理介面來執行︰
    取得 SPFarm |取得 SPPendingUpgradeActions 遞迴

    結果包括︰
    UpgradeActions: {Microsoft.Office.Project.Server.Database.Extension.Upgrade.PD
    EUpgradeSequence Microsoft.Office.Project.Server.Database.Ext
    ension。Upgrade.PDEUpgraderAction_16_0_1_0 Microsoft.Office.Pr
    oject。Server.Database.Extension.Upgrade.PDEUpgraderAction_16_1
    _1_0 Microsoft.Office.Project.Server.Database.Extension.Upgra
    de。...} PDEUpgraderAction_16_1_2_0
    ObjectName: SharePoint_AdminContent_<GUID>
    ObjectType: Microsoft.SharePoint.Administration.SPContentDatabase
    ParentName: SharePoint 中央系統管理 v4
    ParentType: Microsoft.SharePoint.Administration.SPAdministrationWebApplica
    tion
    層級︰ 5
    狀態︰ NeedsUpgradeBackwardsCompatible</GUID>
  • ObjectType: Microsoft.SharePoint.Administration.SPContentDatabase
    ParentName: SharePoint 中央系統管理 v4
    ParentType: Microsoft.SharePoint.Administration.SPAdministrationWebApplica
    tion
    層級︰ 5
    狀態︰ NeedsUpgradeBackwardsCompatible



發生的原因
這可能會發生在資料庫中的 ifsome 元件不具有 「 SharePoint 2016Configuration 精靈 」 建立中央管理 AdminContent 資料庫時已設定為預期的版本。



解決方案
若要解決這個問題,請使用下列方法之一︰

1.在升級中央系統管理資料庫中的 compoments 的SharePoint 2016 管理命令介面中執行下列命令︰
取得 SPWebApplication <Central administration="" url="">|取得 SPContentDatabase |升級 SPContentDatabase</Central>


2.無誤SharePoint 2016 產品組態精靈從命令列︰
PSConfig.exe-cmd 升級就地 b2b-稍候-強制-cmd applicationcontent-安裝-cmd installfeatures-cmd secureresources


kbtshoot kbprb

警告:本文為自動翻譯

內容

文章識別碼:3157397 - 最後檢閱時間:07/18/2016 18:56:00 - 修訂: 1.0

Microsoft SharePoint Server 2016

  • kbmt KB3157397 KbMtzh
意見反應